Bug 65288 - kickstart freezes
kickstart freezes
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-21 11:06 EDT by Craig
Modified: 2007-04-18 12:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kickstart used in automated install (5.60 KB, text/plain)
2002-05-21 11:11 EDT, Craig
no flags Details
dhcpd.conf file (630 bytes, patch)
2002-05-21 11:12 EDT, Craig
no flags Details | Diff

  None (edit)
Description Craig 2002-05-21 11:06:39 EDT
Description of Problem: Using kickstart for automated install.  Finds the dhcpd 
address, finds the next-server, know's where to finds the directory for the <ip-
address>-kickstart file.  It starts to run /sbin/loader.  The last message if 
you hit <alt> F3 is "nodns is 0".  The install stops with a blue screen.

I set this up for RH7.2 and is working without a hitch.  I took what I did 
there and duplicated on the RH7.3 machine.  The only real difference is the 
kickstart file.  I used the ksconfig gui on RH7.3 to start my ks.cfg file.

I can install RH7.3 interactively.

Here is a copy of the sysconfig.cfg on my boot floppy:
default ks
prompt 0
timeout 600
display boot.msg
F1 boot.msg
F2 general.msg
F3 param.msg
F4 rescue.msg
F7 snake.msg
label ks
  kernel vmlinuz
  append ks initrd=initrd.img lang= devfs=nomount ramdisk_size=8192




Version-Release number of selected component (if applicable):
dhcp-2.0pl5-8
2.4.18-3smp
anaconda-7.3

How Reproducible:
Always

Steps to Reproduce:
1. Create boot floppy from bootnet.img
2. Edit sysconfig.cfg file to look like above
3. Boot machine you want to build

Actual Results:
Install stops with a blue screen on the monitor

Expected Results:
Automatically install RH7.3 on new machines

Additional Information:
Comment 1 Craig 2002-05-21 11:11:34 EDT
Created attachment 58104 [details]
kickstart used in automated install
Comment 2 Craig 2002-05-21 11:12:38 EDT
Created attachment 58105 [details]
dhcpd.conf file
Comment 3 Michael Fulbright 2002-05-22 17:55:20 EDT
Do you have a shell on vc2?
Comment 4 Craig 2002-05-23 07:19:03 EDT
No, I can't get vc2, only vc1, 3 & 4.
Comment 5 Craig 2002-05-23 08:09:27 EDT
I know that Ali told you that I was having the same problem with my RH7.2 
kickstart server.  I am not.  It is working fine.  I had mixed up boot disks.
Comment 6 Jeremy Katz 2002-05-30 17:27:53 EDT
What sort of hardware is this on?  Do you see the request to get the kickstart
config or is it hanging trying to mount the server with the kickstart config?
Comment 7 Ali-Reza Anghaie 2002-05-30 19:00:36 EDT
The hardware is dual-processor DELL 420 and 530 machines. I believe Tom 
Callaway (tcallawa) has a 530 similar to what Pratt is using.
Comment 8 Jeremy Katz 2002-06-04 11:46:02 EDT
The more important question is what sort of behavior you're seeing as far as the
server sides -- are you seeing the nfs server get a mount request?  Does the
dhcp server actually see the request for an ip?
Comment 9 Craig 2002-06-04 12:58:35 EDT
The dhcpd server does see the request and does hand out the ip-address to the 
server.  I can see that in the messages file.  I can ping the dhcp address with 
zero packet loss.  It does see the directory where I have the kickstart config 
files, but it does not seem to get past that part.
Comment 10 Jeremy Katz 2002-09-20 15:45:14 EDT
If it's hanging at nodns, then it's trying to do a reverse name lookup and then
hanging -- what happens if you add 'nodns' to your kernel command line (note
that you'll need to change any references to hostnames to be IPs)
Comment 11 Michael Fulbright 2002-10-24 14:21:55 EDT
Closing due to inactivity. Please reopen if you have any new information to add
to this report.
Comment 12 Red Hat Bugzilla 2006-02-21 13:48:56 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.